{% extends "layout.html" %}

{% block title %}
Inbox
{% endblock %}

{% block main_class %}container{% endblock %}

{% block body %}

<form class="buttons" onsubmit="return false;" style="margin-bottom: var(--mar3);">
    {% if filter_form %}
    <div>
        {{ filter_form.internship(role="switch", onchange="submit()")}} {{ filter_form.internship.label }}
    </div>
    <div>
        {{ filter_form.exam(role="switch", onchange="submit()")}} {{ filter_form.exam.label }}
    </div>
    {% endif %}
    <div>
        <input type="text" id="searchFilter" placeholder="Search by name" oninput="filterPeople(this.value)" autofocus spellcheck="false">
    </div>
</form>
<div hx-trigger="focus from:window" hx-get="?fragment=queue" hx-swap="innerHTML transition:true">
{% include 'queue.html' %}
</div>

{% endblock %}